function OnWarpEnter() 
	SetMarker("cs\\Warp_0068.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0048.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0066.wp" , 0 , 0) 

	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 
		if O_quatrain_063 and not Talked_Anime55 then
			StartAnimationPart("gac1",0,30,-1,false)
		end
	end 
	if ETAT_DAY == "D3" then 
		if DEAD_GUARD_PASSAGE_0072_D3 then
			if DEAD_GUARD_COVERED then
				StartAnimationPart("hic1",3,4,-1,false)
			else
				AnimationSetToStart("hic1",false)
			end
			if PHILIP_DEAD_GUARD_0072_D3 then
				StartAnimationPart("hhc1",0,20,-1,false)
			end
		end	
	end 
	if ETAT_DAY == "D4" then 

	end 
	if ETAT_DAY == "D5" then 
--		if not ACTIVATE_DOORS_D5 and CONSTANCE_ROOM_OPENED and MONK_COSTUME_TAKEN then
--			CONSTANCE_ROOM_OPENED = false
--			ACTIVATE_DOORS_D5 = true
--		end
	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0068.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0048.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0066.wp" then 
		if ETAT_DAY == "D5" and not DEAD_UNCOVERED then
			DrawText("Ma3263","Ma3263.ogg",0) -- Le scribe, qu’est-il devenu ?
		else
			ChangeWarp(objectName)
		end
	end

	if ETAT_DAY == "D1" then 
		if objectName == "gec1" then

		elseif objectName == "gac1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		end
	end 
	if ETAT_DAY == "D2" then 
		if objectName == "gec1" then

		elseif objectName == "gac1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		end
	end 
	if ETAT_DAY == "D3" then 
		if objectName == "gec1" then

		elseif objectName == "gac1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		end
	end 
	if ETAT_DAY == "D4" then 
		if objectName == "gec1" then

		elseif objectName == "gac1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		end
	end 
	if ETAT_DAY == "D5" then 
		if objectName == "gec1" then

		elseif objectName == "gac1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		end
	end 
end
